#ifndef __DIVA_WING_LPC1114_CONSOLEINPUT_H__
#define __DIVA_WING_LPC1114_CONSOLEINPUT_H__

#include "ch.h"
void initConsoleInput(Mailbox *inputEventMailbox);

/*
 * _mask is the blink mask. 0xf for all four slices.
 */
void setLedValues(const uint8_t _fader, const uint8_t _ledno, const uint8_t _mask, const uint16_t value);


/*
    [0] [1] [2] [3] [4]
    [0] [1] [2] [3] [4]
                        
     |   |   |   |   | 
     |   |   |   |   | 
     #   #   #   #   # 
     1   2   3   4   5 
     #   #   #   #   # 
     |   |   |   |   | 
     |   |   |   |   | 
     |   |   |   |   | 
     |   |   |   |   | 
                       
    [0] [1] [2] [3] [4]
 */

//#include "console_keys.h"


#endif
